@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Space+Mono:wght@400;700&display=swap");

/* body {
  margin: 0;
  padding: 0;
} */

.container {
  width: 358px;
  height: 266px;
  margin: 0 auto 16 auto;
}

.card {
  width: 100%;
  height: 100%;
  text-align: left;
  color: #ffffff;
  border-radius: 16px;
  font-family: "Inter";
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
}

.artist-image {
  width: 100%;
  border-radius: 0 0 16px 16px;
  object-fit: cover;
}

.wrapper {
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  position: absolute;
  bottom: 0px;
  width: 100%;
}

.intro {
  width: 358px;
  height: 266px;
  margin: 24px auto 8px auto;
}

.introContent {
  width: 100%;
  height: 100%;
  text-align: left;
  color: #ffffff;
  border-radius: 16px;
  font-family: "Inter";
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
}

.introWrapper {
  position: absolute;
  bottom: 0px;
  width: 100%;
  padding: 24px;
  font-size: 20px;
  line-height: 20px;
}

.introWrapper p {
  margin: 12px 0;
}

.introWrapper h3 {
  font-size: inherit;
  font-weight: 900;
}

.introWrapper strong {
  font-weight: 600;
}

.inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
  z-index: 2;
}

.title {
  font-weight: 900;
  font-size: 20px;
  line-height: 20px;
  margin: 16px 0;
}

.description {
  max-height: 0;
  margin: 0;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  transition: max-height 0.3s;
}

.gradient {
  width: 100%;
  position: absolute;
  top: -50px;
  transition: all 0.3s;
}

.extendCard .description {
  padding: 0 24px;
  margin: 0 0 24px 0;
  max-height: 150px;
  transition: max-height 0.3s;
  z-index: 1;
}

.extendCard .gradient {
  bottom: 0;
}

.extendCard .chevron-up {
  transform: rotate(180deg);
}
